NodeRings Docs

Get User

GET
/v1/users/{id}
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/users/{id}" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "user": {
    "id": "string",
    "email": "string",
    "password": "string",
    "firstName": "string",
    "lastName": "string",
    "isVerified": true,
    "allowOrgInvites": true,
    "organization": "string",
    "userRoles": [
      "string"
    ],
    "groupIds": [
      "string"
    ],
    "subscriptionIds": [
      "string"
    ],
    "metadata": {},
    "status": "STATUS_UNSPECIFIED",
    "timestamps": {
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  }
}